Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class ModeShapeLexicon

    java.lang.Object
      org.modeshape.jcr.ModeShapeLexicon

    @Immutable
    public class ModeShapeLexicon

extends Object

A lexicon of names used within ModeShape.

Nested Class Summary
`static class` | `ModeShapeLexicon.Namespace`

Field Summary
`static Name` | `AUTHENTICATION_PROVIDER`
`static Name` | `AUTHENTICATION_PROVIDERS`
`static Name` | `BASE`
`static Name` | `CLASSNAME`
`static Name` | `CLASSPATH`
`static Name` | `DEFAULT_WORKSPACE_NAME`
`static Name` | `DEPTH`
`static Name` | `EXPIRATION_DATE`
`static Name` | `GENERATED`
`static Name` | `HASHED`
`static Name` | `IS_HELD_BY_SESSION`
`static Name` | `IS_SESSION_SCOPED`
`static Name` | `LOCALNAME`
`static Name` | `LOCK`
`static Name` | `LOCK_TOKEN`
`static Name` | `LOCKED_KEY`
`static Name` | `LOCKING_SESSION`
`static Name` | `LOCKS`
`static Name` | `MERGE_PLAN`
`static Name` | `NAMESPACE`
`static Name` | `NAMESPACE_URI` Deprecated. Use `URI` instead.
`static Name` | `NAMESPACES`
`static Name` | `NODE_TYPES`
`static Name` | `PROJECTION`
`static Name` | `PROJECTION_RULES`
`static Name` | `PROJECTIONS`
`static Name` | `READ_ONLY`
`static Name` | `REPOSITORIES`
`static Name` | `RESOURCE`
`static Name` | `ROOT`
`static Name` | `SHA1`
`static Name` | `SHARE` The name of the "mode:share" node type, used as the primary type on nodes that are proxies for the original node.
`static Name` | `SHARED_UUID` The REFERENCE property on the "mode:share" node type.
`static Name` | `SOURCE_NAME`
`static Name` | `SYSTEM`
`static Name` | `TIME_TO_EXPIRE`
`static Name` | `URI`
`static Name` | `UUID`
`static Name` | `VERSION_HISTORY_FOLDER`
`static Name` | `VERSION_STORAGE`
`static Name` | `WORKSPACE`
`static Name` | `WORKSPACE_NAME`
`static Name` | `WORKSPACES`

Constructor Summary
`ModeShapeLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UUID

    public static final Name UUID

### MERGE_PLAN

    public static final Name MERGE_PLAN

### CLASSNAME

    public static final Name CLASSNAME

### CLASSPATH

    public static final Name CLASSPATH

### NAMESPACES

    public static final Name NAMESPACES

### PROJECTION_RULES

    public static final Name PROJECTION_RULES

### READ_ONLY

    public static final Name READ_ONLY

### RESOURCE

    public static final Name RESOURCE

### ROOT

    public static final Name ROOT

### TIME_TO_EXPIRE

    public static final Name TIME_TO_EXPIRE

### URI

    public static final Name URI

### GENERATED

    public static final Name GENERATED

### NAMESPACE_URI

    @Deprecated
    public static final Name NAMESPACE_URI

  Deprecated. Use `URI` instead.

### WORKSPACES

    public static final Name WORKSPACES

### SOURCE_NAME

    public static final Name SOURCE_NAME

### WORKSPACE_NAME

    public static final Name WORKSPACE_NAME

### DEFAULT_WORKSPACE_NAME

    public static final Name DEFAULT_WORKSPACE_NAME

### PROJECTION

    public static final Name PROJECTION

### PROJECTIONS

    public static final Name PROJECTIONS

### HASHED

    public static final Name HASHED

### SHA1

    public static final Name SHA1

### BASE

    public static final Name BASE

### EXPIRATION_DATE

    public static final Name EXPIRATION_DATE

### IS_HELD_BY_SESSION

    public static final Name IS_HELD_BY_SESSION

### IS_SESSION_SCOPED

    public static final Name IS_SESSION_SCOPED

### LOCK

    public static final Name LOCK

### LOCK_TOKEN

    public static final Name LOCK_TOKEN

### LOCKED_KEY

    public static final Name LOCKED_KEY

### LOCKING_SESSION

    public static final Name LOCKING_SESSION

### LOCKS

    public static final Name LOCKS

### NAMESPACE

    public static final Name NAMESPACE

### NODE_TYPES

    public static final Name NODE_TYPES

### REPOSITORIES

    public static final Name REPOSITORIES

### AUTHENTICATION_PROVIDERS

    public static final Name AUTHENTICATION_PROVIDERS

### AUTHENTICATION_PROVIDER

    public static final Name AUTHENTICATION_PROVIDER

### SYSTEM

    public static final Name SYSTEM

### VERSION_STORAGE

    public static final Name VERSION_STORAGE

### VERSION_HISTORY_FOLDER

    public static final Name VERSION_HISTORY_FOLDER

### WORKSPACE

    public static final Name WORKSPACE

### SHARE

    public static final Name SHARE

  The name of the "mode:share" node type, used as the primary type on nodes that are proxies for the original node. The "mode:share" node type defines a single "`mode:shared`" REFERENCE property pointing to the original node.

  With the way that ModeShape's JCR layer is implemented, JCR clients should never see `Node`s of this type. Instead, the JCR layer transparently creates a JcrSharedNode that will mirror the original.

### SHARED_UUID

    public static final Name SHARED_UUID

  The REFERENCE property on the "mode:share" node type. This property references the original node for which this node is a proxy.

### DEPTH

    public static final Name DEPTH

### LOCALNAME

    public static final Name LOCALNAME

Constructor Detail

### ModeShapeLexicon

    public ModeShapeLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.